---
- name: Gather Facts
  hosts: all
  tasks:
    - setup:
- name: Converge
  hosts: zabbix_agent
  roles:
    - role: ansible_role_zabbix_agent
      vars:
        zabbix_agent_ip: "{{ hostvars['zabbix-server-centos']['ansible_eth0']['ipv4']['address'] }}"
        zabbix_agent_server: "{{ hostvars['zabbix-server-centos']['ansible_eth0']['ipv4']['address'] }}"
        zabbix_agent_serveractive: "{{ hostvars['zabbix-server-centos']['ansible_eth0']['ipv4']['address'] }}"
        zabbix_server_url: "http://{{ hostvars['zabbix-server-centos']['ansible_eth0']['ipv4']['address'] }}"
        zabbix_agent_version: "4.4.10"
        zabbix_api_user: Admin
        zabbix_api_pass: zabbix
